///
/// @file       main.cpp
/// @author     Armin Co
///
/// @brief      The QPong game.
///

#include <iostream>

#include <gtkmm.h>

#include "QWindow.hpp"

/// @brief MAIN
///
int main(int argc, char* argv[])
{
    std::cout << "QPong -- starting" << std::endl;
    auto app = Gtk::Application::create(argc, argv, "de.armin-co.qpong");

    QWindow window;
    window.set_default_size(1920, 1080);

    return app->run(window);
}
